AWS S3

POST Create Pre-Signed URL

POST /services/apexrest/Atonit_Mktplace/v1/aws/get_pre_signed_url

Operation ID: Create Pre-Signed URL. Tags: AWS S3. Security: bearerAuth.

This call allows the creation of a pre-authenticated URL for a file on the AWS S3. The returned URL may be used for a PUT call to upload the content of the file and the URL without the query string may be sent subsequently as a file URL field value, e.g., to record an invoiced payment slip.

The URL only allows temporary PUT access for the specific file.

Request body

Media type: application/json. Schema: object.

Example

{
  "objectType": "BilledTicket",
  "objectId": "billed-1",
  "fileName": "nf.xml"
}

Responses

  • 200 OK

    Headers:

    • Date (string)
      Example: Thu, 27 May 2021 13:03:15 GMT.
    • Strict-Transport-Security (string)
      Example: max-age=31536002; includeSubDomains.
    • X-Content-Type-Options (string)
      Example: nosniff.
    • X-XSS-Protection (string)
      Example: 1; mode=block.
    • X-Robots-Tag (string)
      Example: none.
    • Cache-Control (string)
      Example: no-cache,must-revalidate,max-age=0,no-store,private.
    • Content-Type (string)
      Example: application/json;charset=UTF-8.
    • Vary (string)
      Example: Accept-Encoding.
    • Content-Encoding (string)
      Example: gzip.
    • Transfer-Encoding (string)
      Example: chunked.

    Media type: application/json. Schema: object.

    Example

    https://[example].s3.sa-east-1.amazonaws.com/salesforce/c9THr3vbxs6DgG3d6Ru88lmxiHYM4m2Zc5cgJpG_01o-/c-BilledTicket/pIBvnG.Qnw6lKouiHy5XS81IU2HZx1iGYKV4lwHgGSQ-/nf.xml?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=XXXXXXXXXXXXXXXXXXX%2F20210527%2Fsa-east-1%2Fs3%2Faws4_request&X-Amz-Date=20210527T130315Z&X-Amz-Expires=300&X-Amz-SignedHeaders=host&X-Amz-Signature=55023f3a48588a2f7a3a57f98df3322c65bc48991bbc1c7c7965339374fd58c2